<template>
  <div class="container">
    <div class="row nav">
      <div class="col-12 col-md-4">
        <router-link class="boton" :to="{ name: 'InicioEquipos' }">
          Regresar
        </router-link>
      </div>
    </div>
    <div class="row formulario">
      <div class="col-12">
        <h1 class="titulo">Actualizar equipo</h1>
      </div>
      <div class="col-12">
        <form action="POST" class="row g-3" @submit.prevent @submit="patchData()">
          <div class="col-12 col-md-6 text-start">
            <label for="id" class="form-label">ID:</label>
            <input
                class="form-control"
                type="text"
                id="id"
                name="id"
                required
                readonly
                v-model="equipo.id"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="nombre" class="form-label">Nombre:</label>
            <input
                class="form-control"
                type="text"
                id="nombre"
                name="nombre"
                required
                v-model="equipo.nombre"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="apodo" class="form-label">Apodo:</label>
            <input
                class="form-control"
                type="text"
                id="apodo"
                name="apodo"
                required
                v-model="equipo.apodo"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="fechaFundacion" class="form-label">Fecha de fundacion:</label>
            <input
                class="form-control"
                type="date"
                id="fechaFundacion"
                name="fechaFundacion"
                required
                v-model="equipo.fechaFundacion"
            />
          </div>

          <div class="col-12 col-md-6 text-start">
            <label for="idEstadio" class="form-label">Estadio: </label>
            <select 
                class="form-control"
                v-model="equipo.idEstadio" 
                id="idEstadio" 
                name="idEstadio" 
                required 
            >
              <option disabled value="0">Seleccione una opción</option>
              <option
                v-for="estadio in estadios"
                v-bind:value="estadio.id"
                :key="estadio.id"
              >
                {{ estadio.nombre }}
              </option>
            </select>
          </div>

          <div class="col-12 mt-5">
            <input type="submit" class="boton" value="Actualizar">
          </div>

          <span class="mensaje">{{ mensaje }}</span>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "ActualizarEquipos",
  data() {
    return {
      mensaje: "",
      id: this.$route.params.id,
      equipo: {},
      estadios: [],
      notFound: false
    }
  },
  mounted() {
    this.getData();
  },
  methods: {
    getData: function () {
      axios.get("http://laboratorio10.test/api/teams/" + this.id)
          .then(response => response.data)
          .then(data => {
            console.log(data);
            this.equipo = data;
          })
          .catch(error => {
            console.log(error);
            this.notFound = true;
          });
      
      axios.get("http://laboratorio10.test/api/stadiums")
          .then((response) => response.data)
          .then((data) => {
            console.log(data);
            this.estadios = data;
          })
    },
    patchData: function() {
      axios
          .patch("http://laboratorio10.test/api/teams/" + this.equipo.id, null, {
            params: this.equipo
          })
          .then(response => response.data)
          .then(data => {
            if(data) {
              this.mensaje = "El equipo con el id " + this.equipo.id + " fue actualizado correctamente.";
            } else {
              this.mensaje = "No se pudo actualizar el equipo";
            }
          })
    }
  }
}
</script>

<style scoped>

</style>